org.apache.solr.common.params

## Interface CollectionAdminParams

    public interface CollectionAdminParams

### Field Summary

Fields
`static String` `CLUSTER` Cluster wide defaults can be nested under this key e.g.
`static String` `COLL_CONF` The name of the config set to be used for a collection
`static String` `COLLECTION`
`static String` `COLOCATED_WITH` The reverse-link to WITH_COLLECTION flag.
`static String` `COPY_FILES_STRATEGY` This constant defines the index backup strategy based on copying index files to desired location.
`static String` `COUNT_PROP`
`static String` `CREATE_NODE_SET_PARAM` A parameter to specify list of Solr nodes to be used (e.g.
`static String` `CREATE_NODE_SET_SHUFFLE_PARAM` A parameter which specifies if the provided list of Solr nodes (via CREATE_NODE_SET_PARAM) should be shuffled before being used.
`static String` `DEFAULTS` Used by cluster properties API as a wrapper key to provide defaults for collection, cluster etc.
`static String` `FLUSH`
`static Collection<String>` `INDEX_BACKUP_STRATEGIES` This constant defines a list of valid index backup strategies.
`static String` `INDEX_BACKUP_STRATEGY` A parameter to specify the name of the index backup strategy to be used.
`static String` `NO_INDEX_BACKUP_STRATEGY` This constant defines the strategy to not copy index files (useful for meta-data only backup).
`static String` `PROPERTY_NAME` Name of collection property to set
`static String` `PROPERTY_VALUE` Value of collection property to set
`static String` `ROLE`
`static String` `SYSTEM_COLL` Predefined system collection name.
`static String` `USE_LEGACY_REPLICA_ASSIGNMENT` This cluster property decides whether Solr should use the legacy round-robin replica placement strategy or the autoscaling policy based strategy to assign replicas to nodes.
`static String` `WITH_COLLECTION` The name of the collection with which a collection is to be co-located

### Field Detail

#### FLUSH

    static final String FLUSH

See Also:
  Constant Field Values

#### COLLECTION

    static final String COLLECTION

See Also:
  Constant Field Values

#### COUNT_PROP

    static final String COUNT_PROP

See Also:
  Constant Field Values

#### ROLE

    static final String ROLE

See Also:
  Constant Field Values

#### SYSTEM_COLL

    static final String SYSTEM_COLL

Predefined system collection name.

See Also:
  Constant Field Values

#### CREATE_NODE_SET_PARAM

    static final String CREATE_NODE_SET_PARAM

A parameter to specify list of Solr nodes to be used (e.g. for collection creation or restore operation).

See Also:
  Constant Field Values

#### CREATE_NODE_SET_SHUFFLE_PARAM

    static final String CREATE_NODE_SET_SHUFFLE_PARAM

A parameter which specifies if the provided list of Solr nodes (via CREATE_NODE_SET_PARAM) should be shuffled before being used.

See Also:
  Constant Field Values

#### INDEX_BACKUP_STRATEGY

    static final String INDEX_BACKUP_STRATEGY

A parameter to specify the name of the index backup strategy to be used.

See Also:
  Constant Field Values

#### COPY_FILES_STRATEGY

    static final String COPY_FILES_STRATEGY

This constant defines the index backup strategy based on copying index files to desired location.

See Also:
  Constant Field Values

#### NO_INDEX_BACKUP_STRATEGY

    static final String NO_INDEX_BACKUP_STRATEGY

This constant defines the strategy to not copy index files (useful for meta-data only backup).

See Also:
  Constant Field Values

#### INDEX_BACKUP_STRATEGIES

    static final Collection<String> INDEX_BACKUP_STRATEGIES

This constant defines a list of valid index backup strategies.

#### PROPERTY_NAME

    static final String PROPERTY_NAME

Name of collection property to set

See Also:
  Constant Field Values

#### PROPERTY_VALUE

    static final String PROPERTY_VALUE

Value of collection property to set

See Also:
  Constant Field Values

#### COLL_CONF

    static final String COLL_CONF

The name of the config set to be used for a collection

See Also:
  Constant Field Values

#### WITH_COLLECTION

    static final String WITH_COLLECTION

The name of the collection with which a collection is to be co-located

See Also:
  Constant Field Values

#### COLOCATED_WITH

    static final String COLOCATED_WITH

The reverse-link to WITH_COLLECTION flag. It is stored in the cluster state of the `withCollection` and points to the collection on which the `withCollection` was specified.

See Also:
  Constant Field Values

#### DEFAULTS

    static final String DEFAULTS

Used by cluster properties API as a wrapper key to provide defaults for collection, cluster etc. e.g. {defaults:{collection:{replicationFactor:2}}}

See Also:
  Constant Field Values

#### CLUSTER

    static final String CLUSTER

Cluster wide defaults can be nested under this key e.g. {defaults: {cluster:{useLegacyReplicaAssignment:false}}}

See Also:
  Constant Field Values

#### USE_LEGACY_REPLICA_ASSIGNMENT

    static final String USE_LEGACY_REPLICA_ASSIGNMENT

This cluster property decides whether Solr should use the legacy round-robin replica placement strategy or the autoscaling policy based strategy to assign replicas to nodes. The default is false.

See Also:
  Constant Field Values